failed to build devel/datadesigner with gnome-2.12

Vladimir Grebenschikov vova at sw.ru
Mon Sep 19 06:29:40 PDT 2005


В пн, 19/09/2005 в 08:22 -0400, Joe Marcus Clarke пишет:
> On Mon, 2005-09-19 at 14:58 +0400, Vladimir Grebenschikov wrote:
> > Hi
> > 
> > /usr/ports/devel/datadesigner# make install
> > ...
> > c++ -O2 -fno-strict-aliasing -pipe -Wall -Wno-unused -I/usr/local/include -I/usr/local/include/libxml2 -o datadesigner datadesigner.o project.o container.o schema.o doc.o view.o xml.o -pthread  -L/usr/local/lib -L/usr/ports/devel/datadesigner/work/datadesigner-0.5/lib/wx-contrib/src/ogl -L/usr/ports/devel/datadesigner/work/datadesigner-0.5/src/objects -L/usr/ports/devel/datadesigner/work/datadesigner-0.5/src/servers -lobjects -lservers -logl -L/usr/X11R6/lib -liconv -lwx_gtk2-2.4 -lexpat -lxslt -lxml2 -lz -liconv -lm
> > /usr/X11R6/lib/libwx_gtk2-2.4.so: undefined reference to `pango_x_get_context'
> > *** Error code 1
> > 
> > Stop in /usr/ports/devel/datadesigner/work/datadesigner-0.5/src.
> > *** Error code 1
> > 
> > Stop in /usr/ports/devel/datadesigner/work/datadesigner-0.5/src.
> > *** Error code 1
> > 
> > Stop in /usr/ports/devel/datadesigner/work/datadesigner-0.5.
> > *** Error code 1
> > 
> > Stop in /usr/ports/devel/datadesigner/work/datadesigner-0.5.
> > *** Error code 1
> > 
> > Stop in /usr/ports/devel/datadesigner.
> > # pkg_info -I gtk\* pango\* wxgtk\*
> > gtk-1.2.10_13       Gimp Toolkit for X11 GUI (previous stable version)
> > gtk-2.8.3_3         Gimp Toolkit for X11 GUI (current stable version)
> > gtk-engines2-2.6.5_2 Theme engine for the gtk+-2.0 toolkit
> > gtk-send-pr-0.4.6   GTK2 send-pr tool
> > gtk-sharp-1.0.10_1  GTK+ and GNOME interfaces for the .NET runtime
> > gtkglarea-1.2.3     An OpenGL widget for the GTK+ GUI toolkit
> > gtkhtml3-3.8.0      Lightweight HTML rendering/printing/editing engine
> > gtkmm-2.8.0         C++ wrapper for Gtk+, Pango, Atk
> > gtksourceview-1.4.1 A text widget that adds syntax highlighting to the GtkTextV
> > gtkspell2-2.0.11    A GTK+ 2 spell checking component
> > pango-1.10.0        An open-source framework for the layout and rendering of i1
> > wxgtk2-2.4.2_9      The wxWidgets GUI toolkit with GTK+ bindings
> > wxgtk2-2.6.1        The wxWidgets GUI toolkit with GTK+ bindings
> > wxgtk2-common-2.6.1 The wxWidgets GUI toolkit (common files)
> > #
> 
> Reinstall the wxgtk26 port from MarcusCom.

# portupgrade -f x11-toolkits/wxgtk26

does not help - same error

> Joe

-- 
Vladimir B. Grebenschikov
SWsoft Inc. vova at swsoft.com


More information about the freebsd-gnome mailing list